*** Flexible Shipping PRO Changelog ***

## [4.1.0] - 2026-07-23
### Changed
- Updated the inactive-subscription AI Assistant prompt with subscription benefits and purchase links
### Fixed
- Aligned the inactive-subscription AI Assistant popup with the approved design

## [4.0.21] - 2026-07-13 
### Added
- Support for WooCommerce 11.0

## [4.0.20] - 2026-06-08 
### Added
- Support for WooCommerce 10.9

## [4.0.19] - 2026-06-01
### Fixed
- UI improvements

## [4.0.18] - 2026-05-18
### Added
- Support for WordPress 7.0

## [4.0.17] - 2026-05-11
### Added
- Support for WooCommerce 10.8

## [4.0.16] - 2026-05-04
### Added
- Only operator for product, product category, product tag, and shipping class conditions

## [4.0.15] - 2026-03-30
### Added
- Support for WooCommerce 10.7

## [4.0.14] - 2026-03-16
### Added
- Support for WordPress 7.0
### Fixed
- category condition

## [4.0.13] - 2026-02-24
### Added
- Support for WooCommerce 10.6

## [4.0.12] - 2026-01-20
### Added
- Support for WooCommerce 10.5

## [4.0.11] - 2025-12-22
## Removed
- Beacon

## [4.0.10] - 2025-12-03
### Fixed
- PHP 8.4 deprecation notices

## [4.0.9] - 2025-12-02
### Added
- Support for WordPress 6.9

## [4.0.8] - 2025-11-25
### Added
- Support for WooCommerce 10.4

## [4.0.7] - 2025-10-06
### Added
- Support for WooCommerce 10.3

## [4.0.6] - 2025-08-27
### Fixed
- Required repo plugins installation links

## [4.0.5] - 2025-08-11
### Added
- Support for WooCommerce 10.2

## [4.0.4] - 2025-08-04
### Added
- Support for WooCommerce 10.1

## [4.0.3] - 2025-06-30
### Added
- Support for WooCommerce 10.0

## [4.1.0] - 2025-06-16
### Added
- CSAT after an AI scenario used

## [4.0.1] - 2025-05-11
### Added
- Support for WooCommerce 9.9

## [4.0.0] - 2025-05-05
### Added
- Local AI Chat
- Support for WooCommerce 9.9

## [3.0.4] - 2025-04-23
### Added
- Support for WordPress 6.8

## [3.0.3] - 2025-03-24
### Fixed
- Type conversion in Product volume calculation

## [3.0.2] - 2025-03-18
### Fixed
- Warning on in Product Category condition

## [3.0.1] - 2025-03-10
### Added
- Support for WooCommerce 9.8

## [3.0.0] - 2025-02-25
### Changed
- Strong typing has been removed for Psr\Log.

## [2.20.2] - 2025-01-27
### Added
- Support for WooCommerce 9.7

## [2.20.1] - 2025-01-15
### Added
- Support for WooCommerce 9.6
- Method creation time

## [2.20.0] - 2024-12-09
### Added
- Condition based on product field value
- Condition based on product field value range
- Condition based on product stock quantity
- Condition based on product stock status
- Condition based on shipping cost
- Additional cost based on shipping cost

## [2.19.4] - 2024-11-19
### Fixed
- User Role condition

## [2.19.3] - 2024-11-14
### Added
- Support for WooCommerce 9.5

## [2.19.2] - 2024-11-04
### Fixed
- Removed activation reminder config

## [2.19.1] - 2024-10-28
### Added
- Support for WordPress 6.7
### Fixed
- User Role condition

## [2.19.0] - 2024-09-25
### Added
- Support for WooCommerce 9.4
- Plugin update reminder

## [2.18.6] - 2024-09-23
### Added
- Fitters to add options for time of day conditions (flexible-shipping-pro/condition/time_of_the_day/interval and flexible-shipping-pro/condition/time_of_the_day/options)

## [2.18.5] - 2024-09-01
### Added
- Support for WooCommerce 9.3

## [2.18.4] - 2024-08-04
### Added
- Support for WooCommerce 9.2

## [2.18.3] - 2024-07-18
### Added
- Support for WordPress 6.6

## [2.18.2] - 2024-06-30
### Added
- Support for WooCommerce 9.1

## [2.18.1] - 2024-06-02
### Added
- Support for WooCommerce 9.0

## [2.18.0] - 2024-05-22
### Added
- Support for WooCommerce 8.9
### Fixed
- vendor folder

## [2.17.6] - 2024-04-25
### Added
- Support for WooCommerce 8.8

## [2.17.5] - 2024-03-26
### Added
- Support for WordPress 6.5

## [2.17.4] - 2024-02-28
### Added
- Support for WooCommerce 8.7

## [2.17.3] - 2024-02-05
### Added
- Support for WooCommerce 8.6

## [2.17.2] - 2024-01-04
### Added
- Support for WooCommerce 8.5

## [2.17.1] - 2023-12-21
### Fixed
- Conflict with plugins triggering checkout_update action in checkout form by removing free shipping notice from AJAX response

## [2.17.0] - 2023-12-12
### Added
- Support for WooCommerce 8.4
- Left to free shipping notice for WooCommerce Blocks

## [2.16.8] - 2023-11-16
### Fixed
- Deprecated warning: Creation of dynamic property

## [2.16.7] - 2023-11-07
### Added
- Support for WordPress 6.4
- Support for WooCommerce 8.3

## [2.16.6] - 2023-10-04
### Added
- Support for WooCommerce 8.2

## [2.16.5] - 2023-09-06
### Added
- Support for WooCommerce 8.1
### Changed
- Beacon script

## [2.16.4] - 2023-08-07
### Added
- Support for WordPress 6.3

## [2.16.3] - 2023-08-03
### Added
- Support for WooCommerce 8.0

## [2.16.2] - 2023-07-10
### Fixed
- Compatibility with plugins and themes that use newer Psr libraries
### Removed
- Plugin activation reminder

## [2.16.1] - 2023-06-28
### Added
- Support for WooCommerce 7.9

## [2.16.0] - 2023-03-29
### Added
- Free shipping based on item quantity
- Support for WooCommerce 7.6
- Support for WordPress 6.2

## [2.15.5] - 2023-03-09
### Added
- Support for WooCommerce 7.5

## [2.15.4] - 2023-02-16
### Fixed
- Debug message for dimensional condition

## [2.15.3] - 2023-02-07
### Added
- Support for WooCommerce 7.4

## [2.15.2] - 2023-01-10
### Added
- Support for WooCommerce 7.3

## [2.15.1] - 2022-12-21
### Fixed
- fatal error on dimensions filters

## [2.15.0] - 2022-12-13
### Added
- Added the Shipping Extensions tab

## [2.14.0] - 2022-11-23
### Added
- Support for WooCommerce 7.2
- WooCommerce High-Performance Order Storage (HPOS) compatibility declaration

## [2.13.0] - 2022-10-24
### Added
- Support for WordPress 6.1
- Support for WooCommerce 7.1
### Updated
- Octolize tracker

## [2.12.2] - 2022-10-03
### Added
- Support for WooCommerce 7.0

## [2.12.1] - 2022-08-16
### Fixed
- Fatal error when PayPal Payments is active

## [2.12.0] - 2022-08-02
### Added
- Conditions based on products' dimensions: length, width, height

## [2.11.0] - 2022-07-28
### Added
- Additional cost per volume
- Support for WooCommerce 6.8

## [2.10.0] - 2022-07-19
### Changed
- Label for Cancel action

## [2.9.10] - 2022-07-06
### Added
- Support for WooCommerce 6.7

## [2.9.9] - 2022-06-15
### Added
- Support for WooCommerce 6.6

## [2.9.8] - 2022-05-12
### Added
- Support for WordPress 6.0

## [2.9.7] - 2022-04-21
### Changed
- Octolize Urls

## [2.9.6] - 2022-04-04
### Added
- Support for WooCommerce 6.4
- Inactive licence handling

## [2.9.5] - 2022-03-02
### Added
- Support for WooCommerce 6.3

## [2.9.4] - 2022-01-27
### Added
- Support for WooCommerce 6.2

## [2.9.3] - 2022-01-04
### Added
- Support for WordPress 5.9
- Support for WooCommerce 6.1
- Support for float in DIM Factor field

## [2.9.2] - 2021-12-14
### Changed
- Added support for WooCommerce 6.0

## [2.9.1] - 2021-11-08
### Changed
- Added support for WooCommerce 5.9

## [2.9.0] - 2021-10-04
### Changed
- License activation moved to plugins page

## [2.8.0] - 2021-09-23
### Added
- Predefined scenarios with shipping classes and additional costs

## [2.7.1] - 2021-09-07
### Fixed
- Disable round for contents weight in Dimensional Weight

## [2.7.0] - 2021-08-23
### Added
- Support for WordPress 5.8
- Support for WooCommerce 5.6

## [2.6.0] - 2021-07-21
### Added
- New Condition: User Role

## [2.5.1] - 2021-06-29
### Added
- Products without shipping class option in Shipping class condition

## [2.5.0] - 2021-06-21
### Added
- Logical operators in shipping class condition

## [2.4.1] - 2021-06-02
### Fixed
- Notice for weight ratio setting
- HTML tags in product name crashes rules table

## [2.4.0] - 2021-05-11
### Changed
- Condition list - added groups
- New Condition: Dimensional / Volumetric weight
- Logical operators in conditions
### Fixed
- Weight rounding on cart contents

## [2.3.0] - 2021-03-31
### Added
- Added conditions input data filters:
  - flexible-shipping/condition/contents_lines
  - flexible-shipping/condition/day_of_the_week
  - flexible-shipping/condition/contents_items_count
  - flexible-shipping/condition/current_timestamp
  - flexible-shipping/condition/contents_volume
- New Conditions:
  - Product
  - Product Tag
  - Product Category

## [2.2.0] - 2021-02-22
### Added
- Flexible Shipping Import Export plugin compatibility
- Preconfigured shipping scenarios
### Fixed
- Beacon functionality for single shipping method
- Issue if condition field value is empty
### Changed
- Rename condition from Total Overall Dimensions to Single product total overall dimensions

## [2.1.0] - 2021-02-03
### Added
- New Conditions: Volume, Day of the week, Max Dimension, Total Overall Dimensions

### Fixed
- Shipping Class condition: combination of shipping class and none

## [2.0.3] - 2020-12-30
### Fixed
- Free shipping with coupon

## [2.0.2] - 2020-12-28
### Fixed
- Calculation for rules with multiple conditions

## [2.0.1] - 2020-12-23
### Fixed
- Free shipping notice with coupon

## [2.0.0] - 2020-12-14
### Added
- New rules table design and functionality

## [1.13.3] - 2020-12-07
### Added
- Support for WordPress 5.6

## [1.13.2] - 2020-11-12
### Changed
- Fixed multi currency for per additional cost

## [1.13.1] - 2020-10-29
### Changed
- Changelog format

## [1.13.0] - 2020-09-28
### Added
- Debug mode

## [1.12.0] - 2020-09-09
### Added
- Weight rounding on cart contents

## [1.11.2] - 2020-07-31
### Fixed
- Missing package data on order shipping item

## [1.11.1] - 2020-05-28
### Fixed
- Free shipping with various tax settings

## [1.11.0] - 2020-05-25
### Added
- Free shipping option: Apply minimum order rule before coupon discount
### Fixed
- Flexible Shipping requirements and install links

## [1.10.2] - 2020-04-27
### Added
- Support for WooCommerce 4.1

## [1.10.1] - 2020-04-27
### Fixed
- Fatal in Beacon display strategy

## [1.10.0] - 2020-04-27
### Added
- Help Scout Beacon

## [1.9.5] - 2020-03-19
### Added
- Support for WooCommerce 4.0

## [1.9.4] - 2020-01-08
### Added
- flexible_shipping_is_free_shipping filter

## [1.9.3] - 2020-01-07
### Added
- Support for WooCommerce 3.9

## [1.9.2] - 2019-12-17
### Fixed
- Settings link

## [1.9.1] - 2019-11-04
### Added
- Support for WooCommerce 3.8 and WordPress 5.3

## [1.9.0] - 2019-09-18
### Added
- Support for prefixed libraries

## [1.8.6] - 2019-09-09
### Fixed
- Free shipping label

## [1.8.5] - 2019-08-21
### Added
- Cart/package items calculation option

## [1.8.4] - 2019-08-12
### Added
- Support for WooCommerce 3.7

## [1.8.3] - 2019-07-24
### Fixed
- Enable_free_shipping deprecation notice

## [1.8.2] - 2019-07-10
### Fixed
- Notice with shipping class for imported methods

## [1.8.0] - 2019-06-05
### Removed
- Subscription enforce

## [1.7.5] - 2019-04-24
### Added
- Support for WP Desk libraries
### Fixed
- Translations loading

## [1.7.4] - 2019-04-09
### Fixed
- Version update on deploy

## [1.7.3] - 2019-04-09
### Added
- Support for WooCommerce 3.6

## [1.7.2] - 2018-12-13
### Fixed
- Based on cart item line rule

## [1.7.1] - 2018-11-30
### Fixed
- 500 error

## [1.7] - 2018-11-29
### Added
- Support for Flexible Shipping Connect

## [1.6.3] - 2018-10-16
### Added
- Support for WooCommerce 3.5
### Removed
- Support for WooCommerce 3.0 and older (the plugin may still work with older versions but we do not declare official support)

## [1.6.2] - 2018-05-23
### Added
- Support for WooCommerce 3.4

## [1.6.1] - 2018-05-18
### Fixed
- Helper warning

## [1.6] - 2018-05-07
### Fixed
- Tweaked calculation method for shipping rules - based on WooCommerce tax display
- Calculation additional cost

## [1.5.2] - 2018-04-10
### Fixed
- Fatal error in basket

## [1.5.1] - 2018-01-12
### Fixed
- Some minor notices

## [1.5] - 2017-08-09
### Added
- Support for multiple Shipping Classes in one rule

## [1.4.2] - 2017-07-14
### Added
- Support for WooCommerce 3.1
### Fixed
- Compatibility with PolyLang
- A few notices

## [1.4.1] - 2017-06-22
### Fixed
- Shipping methods export

## [1.4] - 2017-03-30
### Added
- Support for upcoming WooCommerce 3.0
### Removed
- Support for WooCommerce below 2.5 (the plugin may still work with older versions but we do not declare official support)

## [1.3] - 2017-01-24
### Added
- Shipping methods export

## [1.2] - 2016-12-14
### Added
- Coupons support for free shipping
### Fixed
- Calculating rules for "none" shipping class option

## [1.1] - 2016-10-27
### Added
- Support for "Network activated" WooCommerce on Multisite installations
- Better compatibility with the free Flexible Shipping versions

## [1.0.1] - 2016-06-17
### Fixed
- Default shipping method in the checkout

## [1.0] - 2016-06-14
### Added
- First Release!

##### Added,Fixed
